%define name	prismstumbler
%define version	0.7.3
%define release 1mdk

Name: 	 	%{name}
Summary: 	Wireless network detector and connector
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://prismstumbler.sourceforge.net/
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick gtk2-devel libpcap-devel libsqlite-devel
Requires:	dhcpcd

%description
Prismstumbler is a wireless LAN (WLAN) discovery tool which scans for
beaconframes from accesspoints. Prismstumbler operates by constantly
switching channels and monitors any frames recived on the currently
selected channel.

NOTE: You must run prismstumbler as root.  Then use the GUI as a normal user.
      Add "/usr/sbin/prismstumbler&" to /etc/rc.local if you want it running
      all the time.

%prep
%setup -q
rm -f COPYING depcomp INSTALL missing mkinstalldirs
aclocal
autoconf
automake -a
./autogen.sh
perl -p -i -e 's/libpcap-0.7.2\///g' src/*.c

%build
pushd src/gpsd
%configure
%make
popd
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%_bindir/pst
rm -fr $RPM_BUILD_ROOT/usr/doc
rm -fr $RPM_BUILD_ROOT/%_docdir
mkdir $RPM_BUILD_ROOT/%_sbindir
mv $RPM_BUILD_ROOT/%_bindir/%name $RPM_BUILD_ROOT/%_sbindir

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="psfront" icon="%{name}.png" needs="x11" title="PrismStumbler" longtitle="Find and connect to wireless networks" section="System/Configuration/Networking"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/pixmaps/prism-icon4.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/pixmaps/prism-icon4.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/pixmaps/prism-icon4.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog doc/* README VERSION
%{_sbindir}/%name
%{_bindir}/*
%{_sysconfdir}/*.gz
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- 0.7.2
- requires dhcpcd

* Mon Mar 29 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package
